Skip to main content
GET
/
v1
/
charts
/
projects_by_listing_date
Projects by listing date
curl --request GET \
  --url https://vcm-fyi-api.fly.dev/v1/charts/projects_by_listing_date \
  --header 'X-API-KEY: <api-key>'
{
  "pagination": {
    "total_entries": 123,
    "current_page": 123,
    "total_pages": 123,
    "next_page": "<string>"
  },
  "data": [
    {
      "start": "2023-12-25",
      "end": "2023-12-25",
      "category": "<string>",
      "value": 123
    }
  ]
}

Authorizations

X-API-KEY
string
header
required

Query Parameters

freq
enum<string>
default:Y

Frequency of bins

Available options:
D,
W,
M,
Y
search
string | null

Case insensitive search string. Currently searches on project_id and name fields only.

current_page
integer
default:1

Page number

Required range: x >= 1
per_page
integer
default:100

Items per page

Required range: 1 <= x <= 200
registry
enum<string>[] | null

Registry name

Available options:
verra,
gold-standard,
american-carbon-registry,
climate-action-reserve,
art-trees,
isometric,
puro-earth,
plan-vivo,
none
country
string[] | null

Country name

protocol
string[] | null

Protocol name

category
string[] | null

Category name

is_compliance
boolean | null

Whether project is an ARB project

listed_at_from

Format: YYYY-MM-DD

listed_at_to

Format: YYYY-MM-DD

issued_min
integer | null

Minimum number of issued credits

issued_max
integer | null

Maximum number of issued credits

retired_min
integer | null

Minimum number of retired credits

retired_max
integer | null

Maximum number of retired credits

project_type
string[] | null

Project type

proponent
string[] | null

Project proponent/developer name

sdg_goals
integer[] | null

UN SDG goals (1-17). Multiple values = AND filter (must have ALL selected goals)

certifications
string[] | null

Specific certification labels (e.g., ccb-gold, ccb-biodiversity-gold, corsia). Multiple values = OR filter

corc_durability
string[] | null

Puro.earth CORC durability (100+ or 1000+). Multiple values = OR filter

has_ccb
boolean | null

Has CCB (Climate, Community & Biodiversity) certification

has_icvcm_ccp
boolean | null

Has ICVCM Core Carbon Principles certification

has_corsia
boolean | null

CORSIA eligible

has_sdvista
boolean | null

Has SD VISta certification

has_social_carbon
boolean | null

Has Social Carbon certification

article6_authorized
boolean | null

Authorized under Paris Agreement Article 6

article6_authorization_types
string[] | null

Article 6 authorization types: NDC Use, Intl mitigation purposes, Other purposes

Response

Time-binned project registration counts by category

pagination
Pagination · object
required
data
BinnedValues · object
required